Getting started with Adobe Firefly Services

The first step in accessing the Firefly Services API is getting authenticated. For that, you will need an access token and an API Key. The steps below will show you how to generate an access token and make your first API call.

Gaining access to the Adobe Developer Console

Enterprise customers must be assigned the System Administrator or Developer role in the Adobe Admin Console to access the Adobe Developer Console.

Generate an API Key and access token from the Adobe Developer Console

If you have already been provisioned with access through your organization, you will need to create a project in developer console.

Step 1: Create a project

  1. Go to https://developer.adobe.com/console/home and sign in to the Developer Console.
  2. Select Create new project under the Quick start section on the middle of your screen:

Create a new project

Step 2: Add API to your project

  1. Choose Add API. Add API
  2. Select one of the required APIs, say, Firefly - Firefly Services and click Next: Add Firefly API

Step 3: Set Credentials

Set credentials

Step 4: Select Product Profiles

Depending on the API you add, you may be asked to select product profiles to assign to your credential. These product profiles govern what data your application can/cannot access in your organization.

Select the Product Profiles and click Save Configured API.

Product profile

Click Add to Project to add more APIs to the product profile in the same project. Click Edit product profiles to add APIs to a different product profile in the same project.

Add to Project

Repeat Step 2 until you have added all these APIs:

Step 5: Generate access token

Access tokens can be generated or refreshed in two ways:

Scopes

Scopes that are added for your application define what actions or data the clients are allowed to access. Security best practices recommend that your application generates an access token with the least number of scopes it needs to work correctly.

Click View scopes per service to understand the services and scopes associated with it.

scopes

Sample cURL command for generating an access token programmatically:

curl -X POST 'https://ims-na1.adobelogin.com/ims/token/v3' \
-H 'Content-Type: application/x-www-form-urlencoded' \
-d 'grant_type=client_credentials&client_id=<YOUR_CLIENT_ID>&client_secret=<YOUR_CLIENT_SECRET>&scope=openid,AdobeID,session,additional_info,read_organizations,firefly_api,ff_apis'

API Key

Grab your API KEY (Client ID) from the same screen.

The selected APIs will be listed in the left-hand side under APIS.

Generate Access Token

Congratulations! You have just generated an access token.

Make your first API call

Once you have created your access token, you can follow the steps below to make your first API call.

curl --request GET \
  --url https://image.adobe.io/pie/psdService/hello \
  --header "Authorization: Bearer <YOUR_ACCESS_TOKEN>" \
  --header "x-api-key: <YOUR_CLIENT_ID>"

Congratulations! You just made your first request to the Firefly Services API.

data-slots=text
Note that your access token will expire every 24 hours and will need to be refreshed after it expires.

Start building your applications

Now that you have obtained an Access Token and Client ID, you can utilize them to develop your application with Firefly services APIs.

Explore our tutorials for comprehensive guidance.